List org-list entries for a given list type
curl --request GET \
--url https://app.solya.app/api/org-lists/{listType}/entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/org-lists/{listType}/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/org-lists/{listType}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/org-lists/{listType}/entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/org-lists/{listType}/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/org-lists/{listType}/entries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/org-lists/{listType}/entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"createdAt": "2026-01-10T08:00:00.000Z",
"id": "entry-uuid-1",
"listType": "RETURN_REASON_CODE",
"metadata": {
"note": "Product arrived damaged"
},
"updatedAt": null,
"value": "DAMAGED"
},
{
"createdAt": "2026-02-01T09:00:00.000Z",
"id": "entry-uuid-2",
"listType": "RETURN_REASON_CODE",
"metadata": null,
"updatedAt": "2026-03-15T14:00:00.000Z",
"value": "WRONG_ITEM"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 2
}
}Org Lists
List org-list entries for a given list type
Returns all entries in the specified org-list for the authenticated organization, ordered by value ascending. The listType path parameter must be one of SUPPLIER_BLACKLIST, BRAND_RESTRICTION, or RETURN_REASON_CODE. Requires intelligenceLayer.view permission.
GET
/
api
/
org-lists
/
{listType}
/
entries
List org-list entries for a given list type
curl --request GET \
--url https://app.solya.app/api/org-lists/{listType}/entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/org-lists/{listType}/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/org-lists/{listType}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/org-lists/{listType}/entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/org-lists/{listType}/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/org-lists/{listType}/entries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/org-lists/{listType}/entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"createdAt": "2026-01-10T08:00:00.000Z",
"id": "entry-uuid-1",
"listType": "RETURN_REASON_CODE",
"metadata": {
"note": "Product arrived damaged"
},
"updatedAt": null,
"value": "DAMAGED"
},
{
"createdAt": "2026-02-01T09:00:00.000Z",
"id": "entry-uuid-2",
"listType": "RETURN_REASON_CODE",
"metadata": null,
"updatedAt": "2026-03-15T14:00:00.000Z",
"value": "WRONG_ITEM"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 2
}
}Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.
Path Parameters
List type: SUPPLIER_BLACKLIST | BRAND_RESTRICTION | RETURN_REASON_CODE
Available options:
SUPPLIER_BLACKLIST, BRAND_RESTRICTION, RETURN_REASON_CODE Query Parameters
Page number, 1-indexed (default: 1)
Required range:
1 <= x <= 9007199254740991Number of items per page, max 100 (default: 20)
Required range:
1 <= x <= 100
